Package org.apache.storm.executor.bolt

## Class BoltExecutor

- java.lang.Object
- - org.apache.storm.executor.Executor
  - - org.apache.storm.executor.bolt.BoltExecutor

- All Implemented Interfaces:
    `Callable`, `org.apache.storm.shade.org.jctools.queues.MessagePassingQueue.Consumer<Object>`, `JCQueue.Consumer`

      public class BoltExecutor
      extends Executor

- - ### Field Summary

    - ### Fields inherited from class org.apache.storm.executor.Executor

      `ackingEnabled, componentId, conf, credentials, executorId, executorTransfer, groupers, hasEventLoggers, hostname, idToTask, idToTaskBase, intervalToTaskToMetricToRegistry, isDebug, openOrPrepareWasCalled, pendingEmits, rand, receiveQueue, reportError, reportErrorDie, sampler, sharedExecutorData, stormActive, stormClusterState, stormComponentDebug, stormId, streamToComponentToGrouper, suicideFn, taskIds, taskToComponent, topoConf, type, workerData, workerReady, workerTopologyContext`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BoltExecutor​(WorkerState workerData, List<Long> executorId, Map<String,​String> credentials)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Callable<Long>` | `call()` |
    `BoltExecutorStats` | `getStats()` |
    `void` | `init​(ArrayList<Task> idToTask, int idToTaskBase)` |
    `void` | `tupleActionFn​(int taskId, TupleImpl tuple)` |

    - ### Methods inherited from class org.apache.storm.executor.Executor

      `accept, execute, flush, getComponentId, getExecutorId, getExecutorTransfer, getIntervalToTaskToMetricToRegistry, getIsDebug, getOpenOrPrepareWasCalled, getPendingEmits, getReceiveQueue, getReportError, getSharedExecutorData, getStormClusterState, getStormComponentDebug, getStormId, getStreamToComponentToGrouper, getTaskIds, getTopoConf, getType, getWorkerData, getWorkerTopologyContext, incrementReportedErrorCount, metricsTick, mkExecutor, publishFlushTuple, reflectNewLoadMapping, samplerCheck, setLocalExecutorTransfer, setNeedToRefreshCreds, setupMetrics, setupTicks, updateExecCredsIfRequired`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoltExecutor

          public BoltExecutor​(WorkerState workerData,
                              List<Long> executorId,
                              Map<String,​String> credentials)

  - ### Method Detail

    - #### getStats

          public BoltExecutorStats getStats()

      Specified by:
        `getStats` in class `Executor`

    - #### init

          public void init​(ArrayList<Task> idToTask,
                           int idToTaskBase)
                    throws InterruptedException

      Throws:
        `InterruptedException`

    - #### call

          public Callable<Long> call()
                              throws Exception

      Throws:
        `Exception`

    - #### tupleActionFn

          public void tupleActionFn​(int taskId,
                                    TupleImpl tuple)
                             throws Exception

      Specified by:
        `tupleActionFn` in class `Executor`
      Throws:
        `Exception`